> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Event

> Returns the stored event row and payload when this event has at least one delivery for the webhook endpoint.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/webhooks/{webhook_nanoid}/events/{event_nanoid}
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/webhooks/{webhook_nanoid}/events/{event_nanoid}:
    get:
      tags:
        - B2B Webhooks
      summary: Get Webhook Event
      description: >-
        Returns the stored event row and payload when this event has at least
        one delivery for the webhook endpoint.
      parameters:
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^wh-.*
          in: path
          name: webhook_nanoid
          required: true
          description: Unique identifier of the Webhook Endpoint.
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^we-.*
          in: path
          name: event_nanoid
          required: true
          description: Unique identifier of the Webhook Event.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      event_nanoid:
                        type: string
                        minLength: 15
                        maxLength: 15
                        pattern: ^we-.*
                        description: Unique identifier of the Webhook Event.
                      event_type:
                        type: string
                        description: Event type stored for this webhook event row.
                      version:
                        type: string
                      idempotency_key:
                        type: string
                      payload:
                        type: object
                        additionalProperties: {}
                        description: Original event data body sent to subscribed endpoints.
                      created_at:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                    required:
                      - event_nanoid
                      - event_type
                      - version
                      - idempotency_key
                      - payload
                      - created_at
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````